> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cariqa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User

> Retrieve user



## OpenAPI

````yaml /openapi.yaml get /api/v1/users/{user_id}/
openapi: 3.0.3
info:
  title: Cariqa Connect API
  version: 1.0.0 (v1)
  description: OPENAPI schema of the Cariqa Connect API
servers:
  - url: https://connect.cariqa.com
    description: Connect
  - url: https://dev.connect.cariqa.com
    description: Connect Playground
security: []
paths:
  /api/v1/users/{user_id}/:
    get:
      tags:
        - Users
      summary: Get User
      description: Retrieve user
      operationId: users_retrieve
      parameters:
        - in: path
          name: user_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectAPIUser'
          description: ''
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Detail'
          description: ''
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Detail'
          description: ''
      security:
        - BearerAuth: []
components:
  schemas:
    ConnectAPIUser:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        email:
          type: string
          format: email
          nullable: true
        locale:
          $ref: '#/components/schemas/LocaleEnum'
        custom_properties:
          allOf:
            - $ref: '#/components/schemas/ConnectAPIUserCustomProperties'
          nullable: true
      required:
        - id
    Detail:
      type: object
      description: 400 status error message response serializer.
      properties:
        detail:
          type: string
      required:
        - detail
    LocaleEnum:
      enum:
        - en
        - de
      type: string
      description: |-
        * `en` - EN
        * `de` - DE
    ConnectAPIUserCustomProperties:
      type: object
      properties:
        external_id:
          type: string
          nullable: true
          description: External id of the user provided by Connect backend
          maxLength: 250
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.

````